<div class="p-fluid p-formgrid p-grid" [formGroup]="newsForm">
  <div class="p-field col-12">
    <label for="title">Titel</label>
    <input id="title" type="text" pInputText formControlName="title" />
    <div
      *ngIf="newsForm.get('title')?.invalid && newsForm.get('title')?.touched"
      class="p-error"
    >
      Titel ist erforderlich.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="subtitle">Untertitel</label>
    <input id="subtitle" type="text" pInputText formControlName="subtitle" />
  </div>

  <div class="p-field col-12">
    <label for="content">Inhalt</label>
    <textarea id="content" pInputTextarea formControlName="content"></textarea>
    <div
      *ngIf="
        newsForm.get('content')?.invalid && newsForm.get('content')?.touched
      "
      class="p-error"
    >
      Inhalt ist erforderlich.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="source">Quelle</label>
    <p-dropdown
      id="source"
      formControlName="source"
      [options]="newsSources"
      [editable]="true"
      placeholder="Wähle eine Quelle"
    >
    </p-dropdown>
    <div
      *ngIf="newsForm.get('source')?.invalid && newsForm.get('source')?.touched"
      class="p-error"
    >
      Quelle ist erforderlich.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="link">Link</label>
    <input id="link" type="text" pInputText formControlName="link" />
    <div
      *ngIf="newsForm.get('link')?.invalid && newsForm.get('link')?.touched"
      class="p-error"
    >
      <div *ngIf="newsForm.get('link')?.errors?.['pattern']">
        Bitte geben Sie eine gültige URL ein.
      </div>
    </div>
  </div>

  <div class="p-field col-12">
    <label for="fileUpload" class="p-col-12 p-md-2">Bild hochladen</label>
    <div class="p-col-12 p-md-10">
      <div class="p-grid">
        <div class="p-col-12 p-md-8">
          <urbo-cms-ui-file-upload
            id="fileUpload"
            (fileSelected)="onFileSelected($event)"
          ></urbo-cms-ui-file-upload>
        </div>
        <div class="p-col-12 p-md-4" *ngIf="!selectedFile">
          <img
            class="p-2"
            *ngIf="newsData?.image"
            [src]="newsData!!.image!! | image"
            [alt]="altDescription"
            style="max-width: 150px; max-height: 150px"
          />
        </div>
      </div>
    </div>
  </div>

  <div class="p-field col-12">
    <label for="categoryIds">Kategorien</label>
    <p-multiSelect
      id="categoryIds"
      formControlName="categoryIds"
      [options]="categories"
      placeholder="Wähle Kategorien"
    >
    </p-multiSelect>
    <div
      *ngIf="
        newsForm.get('categoryIds')?.invalid &&
        newsForm.get('categoryIds')?.touched
      "
      class="p-error"
    >
      Wählen Sie mindestens eine Kategorie aus.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="authors">Autoren (Kommasepariert)</label>
    <p-chips
      id="authors"
      formControlName="authors"
      separator=","
      placeholder="Enter author names separated by commas"
      addOnTab="true"
      addOnBlur="true"
    ></p-chips>
  </div>

  <div class="col-12">
    <button
      pButton
      type="button"
      label="Bestätigen"
      (click)="onSubmit()"
      [disabled]="newsForm.invalid"
    ></button>
  </div>
  <div class="col-12">
    <button
      pButton
      type="button"
      label="Abbrechen"
      (click)="onFormCancel()"
    ></button>
  </div>
</div>
